

begin execute immediate 'alter table "GTTut-Drop-down_List-ContCountCity" DROP CONSTRAINT "PK_GTTut-Drop-down_List-ContCountCity"'; exception when others then null; end;

begin execute immediate 'alter table "GTTut-Drop-down_List-Directory" DROP CONSTRAINT "PK_GTTut-Directory"'; exception when others then null; end;

begin execute immediate 'drop view "GTTut-Drop-down_List-CountryRef"'; exception when others then null; end;

begin execute immediate 'drop view "GTTut-Drop-down_List-CountryCityRef"'; exception when others then null; end;

begin execute immediate 'drop view "GTTut-Drop-down_List-CountryCapRef"'; exception when others then null; end;

begin execute immediate 'drop table "GTTut-Drop-down_List-ContCountCity" purge'; exception when others then null; end;

begin execute immediate 'drop table "GTTut-Drop-down_List-Directory" purge'; exception when others then null; end;



CREATE TABLE "GTTut-Drop-down_List-ContCountCity"
(
	"Continent" VARCHAR2(50) NOT NULL ,
	"Country" VARCHAR2(50) NOT NULL ,
	"City" VARCHAR2(50) NOT NULL ,
	"IsACapital" INTEGER DEFAULT 0  NOT NULL,
	CONSTRAINT "PK_GTTut-Drop-down_List-ContCountCity" PRIMARY KEY 
	(
	"Continent" , 
	"Country" , 
	"City"
	)
);


CREATE TABLE "GTTut-Drop-down_List-Directory"
(
	"MailAdress" VARCHAR2(100) NULL ,
	"Continent" VARCHAR2(100) NOT NULL,
	CONSTRAINT "PK_GTTut-Directory" PRIMARY KEY 
	(
	"Continent"
	)
);

CREATE VIEW "GTTut-Drop-down_List-CountryRef"
AS
SELECT     "Continent", "City" AS "CityForContinent"
FROM         "GTTut-Drop-down_List-ContCountCity";

CREATE VIEW "GTTut-Drop-down_List-CountryCityRef"
AS
SELECT     "Continent", "Country" AS "CountryCity-Country", "City" AS "CountryCity-City", "IsACapital"
FROM         "GTTut-Drop-down_List-ContCountCity";

CREATE VIEW "GTTut-Drop-down_List-CountryCapRef"
AS
SELECT     "Continent", "Country" AS "CountryRef", "City" AS "CapitalRef"
FROM         "GTTut-Drop-down_List-ContCountCity"
WHERE     ("IsACapital" = 1);




